# Uses of Interface
org.eclipse.emf.cdo.common.commit.CDOChangeSetData

Packages that use CDOChangeSetData
Package
Description
org.eclipse.emf.cdo.common.commit
Common concepts for dealing with commits and change sets.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.common.util
Common utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.ocl
Server implementation of a generic OCL query handler.
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.
org.eclipse.emf.cdo.spi.common.commit
Common service provider interfaces and useful base implementations for dealing with commits and change sets.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.cdo.spi.workspace
Server provider interfaces (SPI) for CDO `workspaces`.
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.
org.eclipse.emf.cdo.workspace
Concepts to checkout, open and further operate CDO `workspaces`.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOChangeSetData in org.eclipse.emf.cdo.common.commit

Subinterfaces of CDOChangeSetData in org.eclipse.emf.cdo.common.commit
Modifier and Type
Interface
Description
`interface`
`CDOChangeSet`
The `change set data` between two `branch points` with a common ancestor.
`interface`
`CDOCommitData`
`Change set data` with detailed information about new `package units`.
`static interface`
`CDOCommitHistory.TriggerLoadElement`
A virtual `history` element that can be returned from `IContainer.getElements()` if `CDOCommitHistory.isAppendingTriggerLoadElement()` is `true` to indicate that the history is not `fully` loaded, yet.
`interface`
`CDOCommitInfo`
`Commit data` in the context of a `commit info manager` with additional commit informations.
Methods in org.eclipse.emf.cdo.common.commit that return CDOChangeSetData
Modifier and Type
Method
Description
`CDOChangeSetData`
CDOChangeSetData.`copy()`
Returns a deep copy of this change set data.
`CDOChangeSetData`
CDOChangeSetDataProvider.`getChangeSetData()`
Methods in org.eclipse.emf.cdo.common.commit with parameters of type CDOChangeSetData
Modifier and Type
Method
Description
`void`
CDOChangeSetData.`merge(CDOChangeSetData changeSetData)`
Changes the internal state of this change set data by adding the changes of the given change set data.

## Uses of CDOChangeSetData in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDOChangeSetData
Modifier and Type
Method
Description
`CDOChangeSetData`
CDODataInput.`readCDOChangeSetData()`
Methods in org.eclipse.emf.cdo.common.protocol with parameters of type CDOChangeSetData
Modifier and Type
Method
Description
`void`
CDODataOutput.`writeCDOChangeSetData(CDOChangeSetData changeSetData)`

## Uses of CDOChangeSetData in org.eclipse.emf.cdo.common.revision

Methods in org.eclipse.emf.cdo.common.revision that return CDOChangeSetData
Modifier and Type
Method
Description
`static CDOChangeSetData`
CDORevisionUtil.`createChangeSetData(List<CDOIDAndVersion> newObjects, List<CDORevisionKey> changedObjects, List<CDOIDAndVersion> detachedObjects)`
`static CDOChangeSetData`
CDORevisionUtil.`createChangeSetData(Set<CDOID> ids, CDOBranchPoint startPoint, CDOBranchPoint endPoint, CDORevisionManager revisionManager)`
`static CDOChangeSetData`
CDORevisionUtil.`createChangeSetData(Set<CDOID> ids, CDORevisionProvider startProvider, CDORevisionProvider endProvider)`
`static CDOChangeSetData`
CDORevisionUtil.`createChangeSetData(Set<CDOID> ids, CDORevisionProvider startProvider, CDORevisionProvider endProvider, boolean useStartVersions)`
Methods in org.eclipse.emf.cdo.common.revision with parameters of type CDOChangeSetData
Modifier and Type
Method
Description
`static CDOChangeSet`
CDORevisionUtil.`createChangeSet(CDOBranchPoint startPoint, CDOBranchPoint endPoint, CDOChangeSetData data)`
`static CDOChangeSet`
CDORevisionUtil.`createChangeSet(CDOBranchPoint startPoint, CDOBranchPoint endPoint, CDOChangeSetData data, CDORevisionProvider startRevisionProvider)`
Creates a change set and retains the complete revisions at its start point for consumers that must interpret executable feature deltas against their actual common base.

## Uses of CDOChangeSetData in org.eclipse.emf.cdo.common.util

Methods in org.eclipse.emf.cdo.common.util that return CDOChangeSetData
Modifier and Type
Method
Description
`CDOChangeSetData`
CDOQueryInfo.`getChangeSetData()`
Returns the `change set` to be considered if this query has been created by a dirty transaction, `null` otherwise.

## Uses of CDOChangeSetData in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return CDOChangeSetData
Modifier and Type
Method
Description
`CDOChangeSetData`
IStoreAccessor.CommitContext.ModificationContext.`getChangeSetData()`

## Uses of CDOChangeSetData in org.eclipse.emf.cdo.server.ocl

Methods in org.eclipse.emf.cdo.server.ocl that return CDOChangeSetData
Modifier and Type
Method
Description
`CDOChangeSetData`
CDOExtentCreator.`getChangeSetData()`
Methods in org.eclipse.emf.cdo.server.ocl with parameters of type CDOChangeSetData
Modifier and Type
Method
Description
`protected CDOExtentMap`
OCLQueryHandler.`createExtentMap(CDOView view, CDOChangeSetData changeSetData, IQueryContext context)`
`void`
CDOExtentCreator.`setChangeSetData(CDOChangeSetData changeSetData)`

## Uses of CDOChangeSetData in org.eclipse.emf.cdo.session

Subinterfaces of CDOChangeSetData in org.eclipse.emf.cdo.session
Modifier and Type
Interface
Description
`interface`
`CDOSessionInvalidationEvent`
A `session event` fired when passive updates (commit notifications) are being received from a remote repository.
Methods in org.eclipse.emf.cdo.session that return CDOChangeSetData
Modifier and Type
Method
Description
`CDOChangeSetData`
CDOSession.`compareRevisions(CDOBranchPoint source, CDOBranchPoint target)`

## Uses of CDOChangeSetData in org.eclipse.emf.cdo.spi.common.commit

Methods in org.eclipse.emf.cdo.spi.common.commit that return CDOChangeSetData
Modifier and Type
Method
Description
`CDOChangeSetData`
CDOChangeSetDataRevisionProvider.`getChangeSetData()`
Methods in org.eclipse.emf.cdo.spi.common.commit with parameters of type CDOChangeSetData
Modifier and Type
Method
Description
`static void`
CDOCommitInfoUtil.`dump(PrintStream out, CDOChangeSetData changeSetData)`
Constructors in org.eclipse.emf.cdo.spi.common.commit with parameters of type CDOChangeSetData
Modifier
Constructor
Description
``
`CDOChangeKindCache(CDOChangeSetData changeSetData)`
``
`CDOChangeSetDataRevisionProvider(CDORevisionProvider delegate, CDOChangeSetData changeSetData)`
``
`CDOChangeSetDataRevisionProvider(CDORevisionProvider delegate, CDOChangeSetData changeSetData, CDORevisionProvider revisionCallback, CDORevisionDeltaProvider revisionDeltaCallback)`

## Uses of CDOChangeSetData in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOChangeSetData
Modifier and Type
Method
Description
`CDOChangeSetData`
CDODataInputImpl.`readCDOChangeSetData()`
Methods in org.eclipse.emf.cdo.spi.common.protocol with parameters of type CDOChangeSetData
Modifier and Type
Method
Description
`void`
CDODataOutputImpl.`writeCDOChangeSetData(CDOChangeSetData changeSetData)`

## Uses of CDOChangeSetData in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server that return CDOChangeSetData
Modifier and Type
Method
Description
`CDOChangeSetData`
InternalRepository.`getChangeSet(CDOBranchPoint startPoint, CDOBranchPoint endPoint)`
`CDOChangeSetData`
ICommitConflictResolver.Merging.`resolveConflicts(IStoreAccessor.CommitContext commitContext, List<InternalCDORevisionDelta> conflicts)`
`CDOChangeSetData`
ICommitConflictResolver.`resolveConflicts(IStoreAccessor.CommitContext commitContext, List<InternalCDORevisionDelta> conflicts)`
When this method is called, the `IStoreAccessor.CommitContext.getOldRevisions()` map is filled with the latest valid revisions, chunks ensured.

## Uses of CDOChangeSetData in org.eclipse.emf.cdo.spi.workspace

Methods in org.eclipse.emf.cdo.spi.workspace that return CDOChangeSetData
Modifier and Type
Method
Description
`CDOChangeSetData`
InternalCDOWorkspace.`getLocalChanges(boolean forward)`
Methods in org.eclipse.emf.cdo.spi.workspace with parameters of type CDOChangeSetData
Modifier and Type
Method
Description
`void`
InternalCDOWorkspace.`replace(String branchPath, long timeStamp, CDOChangeSetData revertData)`
`void`
InternalCDOWorkspace.`revert(CDOChangeSetData revertData)`

## Uses of CDOChangeSetData in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that return CDOChangeSetData
Modifier and Type
Method
Description
`CDOChangeSetData`
CDOPushTransaction.`compareRevisions(CDOBranchPoint source)`
Deprecated.
`CDOChangeSetData`
CDOSavepoint.`getAllChangeSetData()`
Returns the change-set data at this savepoint's fixed boundary.
`CDOChangeSetData`
CDOPushTransaction.`getChangeSetData()`
Deprecated.
`CDOChangeSetData`
CDOMerger.ConflictException.`getResult()`
`CDOChangeSetData`
CDOMerger.`merge(CDOChangeSet target, CDOChangeSet source)`
Calculates the changes between a source `change set` and a target `change set` and returns the result relative to their common ancestor.
`CDOChangeSetData`
CDOMerger2.`merge(CDOChangeSet target, CDOChangeSet source)`
Deprecated.
`CDOChangeSetData`
CDOMergerBaseAware.`merge(CDOChangeSet target, CDOChangeSet source, CDORevisionProvider targetBaseProvider, CDORevisionProvider sourceBaseProvider, CDORevisionProvider resultBaseProvider)`
Merges the given target and source change sets using their respective base revisions.
`CDOChangeSetData`
CDOPushTransaction.`merge(CDOBranchPoint source, CDOBranchPoint sourceBase, CDOBranchPoint targetBase, CDOMerger merger)`
Deprecated.
`CDOChangeSetData`
CDOPushTransaction.`merge(CDOBranchPoint source, CDOBranchPoint sourceBase, CDOMerger merger)`
Deprecated.
`CDOChangeSetData`
CDOPushTransaction.`merge(CDOBranchPoint source, CDOMerger merger)`
Deprecated.
`CDOChangeSetData`
CDOPushTransaction.`merge(CDOBranch source, CDOMerger merger)`
Deprecated.
`CDOChangeSetData`
CDOTransaction.`merge(CDOBranchPoint source, CDOBranchPoint sourceBase, CDOBranchPoint targetBase, CDOMerger merger)`
Merges the changes between the given source base point and the given source point into this transaction.
`CDOChangeSetData`
CDOTransaction.`merge(CDOBranchPoint source, CDOBranchPoint sourceBase, CDOMerger merger)`
Merges the changes between the given source base point and the given source point into this transaction.
`CDOChangeSetData`
CDOTransaction.`merge(CDOBranchPoint source, CDOMerger merger)`
Merges the changes from the given source point into this transaction and possibly considers previous merges from that `branch` by inspecting the `merge source` information of the `commit history`.
`CDOChangeSetData`
CDOTransaction.`merge(CDOBranch source, CDOMerger merger)`
Merges the changes from the given source branch into this transaction and possibly considers previous merges from that branch by inspecting the `merge source` information of the `commit history`.
`CDOChangeSetData`
CDOPushTransaction.`revertTo(CDOBranchPoint branchPoint)`
Deprecated.
`CDOChangeSetData`
CDOTransaction.`revertTo(CDOBranchPoint branchPoint)`
Constructors in org.eclipse.emf.cdo.transaction with parameters of type CDOChangeSetData
Modifier
Constructor
Description
``
`ConflictException(String message, Throwable cause, CDOMerger merger, CDOChangeSetData result)`
``
`ConflictException(String message, CDOMerger merger, CDOChangeSetData result)`

## Uses of CDOChangeSetData in org.eclipse.emf.cdo.view

Methods in org.eclipse.emf.cdo.view that return CDOChangeSetData
Modifier and Type
Method
Description
`CDOChangeSetData`
CDOView.`compareRevisions(CDOBranchPoint source)`

## Uses of CDOChangeSetData in org.eclipse.emf.cdo.workspace

Methods in org.eclipse.emf.cdo.workspace that return CDOChangeSetData
Modifier and Type
Method
Description
`CDOChangeSetData`
CDOWorkspace.`compare(String branchPath)`
`CDOChangeSetData`
CDOWorkspace.`compare(String branchPath, long timeStamp)`
`CDOChangeSetData`
CDOWorkspace.`getLocalChanges()`

## Uses of CDOChangeSetData in org.eclipse.emf.spi.cdo

Subinterfaces of CDOChangeSetData in org.eclipse.emf.spi.cdo
Modifier and Type
Interface
Description
`interface`
`InternalCDOSessionInvalidationEvent`
A `session invalidation event` with `security impact information`.
Methods in org.eclipse.emf.spi.cdo that return CDOChangeSetData
Modifier and Type
Method
Description
`CDOChangeSetData`
InternalCDOSavepoint.`getAllChangeSetDataIncludingCurrent()`
Returns change-set data through this savepoint, including its mutable current segment.
`CDOChangeSetData`
CDOSessionInvalidationEventQueue.`getChangeSetData()`
Deprecated.
As of 4.3 use `CDOSessionInvalidationEventQueue.poll()`.
`CDOChangeSetData`
InternalCDOTransaction.ApplyChangeSetResult.`getChangeSetData()`
`CDOChangeSetData`
AbstractChangeSetsConflictResolver.`getLocalChangeSetData()`
`CDOChangeSetData`
AbstractChangeSetsConflictResolver.`getRemoteChangeSetData()`
`CDOChangeSetData`
DefaultCDOMerger.`getResult()`
`protected CDOChangeSetData`
CDOMergingConflictResolver.`handleConflict(CDOChangeSetData result)`
`CDOChangeSetData[]`
CDOSessionProtocol.`loadChangeSets(CDOBranchPointRange... ranges)`
`CDOChangeSetData`
DefaultCDOMerger.`merge(CDOChangeSet target, CDOChangeSet source)`
`CDOChangeSetData`
DefaultCDOMerger.`merge(CDOChangeSet target, CDOChangeSet source, CDORevisionProvider targetBaseProvider, CDORevisionProvider sourceBaseProvider, CDORevisionProvider resultBaseProvider)`
Merges branch/remerge change sets while preserving their independently selected source and target bases.
Methods in org.eclipse.emf.spi.cdo that return types with arguments of type CDOChangeSetData
Modifier and Type
Method
Description
`org.eclipse.net4j.util.collection.Pair<CDOChangeSetData,org.eclipse.net4j.util.collection.Pair<Map<CDOID,CDOID>,List<CDOID>>>`
InternalCDOTransaction.`applyChangeSetData(CDOChangeSetData changeSetData, CDORevisionProvider resultBaseProvider, CDORevisionProvider targetProvider, CDOBranchPoint source)`
Deprecated.
Use `InternalCDOTransaction.applyChangeSet(CDOChangeSetData, CDORevisionProvider, CDORevisionProvider, CDOBranchPoint, boolean)`
Methods in org.eclipse.emf.spi.cdo with parameters of type CDOChangeSetData
Modifier and Type
Method
Description
`InternalCDOTransaction.ApplyChangeSetResult`
InternalCDOTransaction.`applyChangeSet(CDOChangeSetData changeSetData, CDORevisionProvider resultBaseProvider, CDORevisionProvider targetProvider, CDOBranchPoint source, boolean keepVersions)`
Applies a goal change set whose NEW, CHANGED, and DETACHED classifications are defined relative to `resultBaseProvider`.
`org.eclipse.net4j.util.collection.Pair<CDOChangeSetData,org.eclipse.net4j.util.collection.Pair<Map<CDOID,CDOID>,List<CDOID>>>`
InternalCDOTransaction.`applyChangeSetData(CDOChangeSetData changeSetData, CDORevisionProvider resultBaseProvider, CDORevisionProvider targetProvider, CDOBranchPoint source)`
Deprecated.
Use `InternalCDOTransaction.applyChangeSet(CDOChangeSetData, CDORevisionProvider, CDORevisionProvider, CDOBranchPoint, boolean)`
`protected CDOChangeSetData`
CDOMergingConflictResolver.`handleConflict(CDOChangeSetData result)`